package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 数据适配转换
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_PARAM_ADAPTER")
@Api(value = "数据适配转换", description = "数据适配转换")
public class BsParamAdapter extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "适配套件id")
    private long suitCaseId;

    @Column(name = "SUIT_CASE_NAME")
    @ApiParam(value = "适配套件名称")
    private String suitCaseName;

    @Column(name = "SUIT_CASE_CODE")
    @ApiParam(value = "适配套件代码")
    private String suitCaseCode;

    @Column(name = "SUIT_PARAM_TYPE_ID")
    @ApiParam(value = "参数类型枚举")
    private int suitParamTypeId;

    @Column(name = "SUIT_PARAM_ID")
    @ApiParam(value = "原参数id")
    private long suitParamId;

    @Column(name = "SUIT_PARAM_NAME_RDD")
    @ApiParam(value = "参数名称")
    private String suitParamNameRdd;

    @Column(name = "SUIT_PARAM_VAL_TYPE_ID")
    @ApiParam(value = "原参数值类型")
    private int suitParamValTypeId;

    @Column(name = "TRANSFER_PARAM_NAME")
    @ApiParam(value = "转换参数名称")
    private String transferParamName;

    @Column(name = "TRANSFER_PARAM_VAL_TYPE_ID")
    @ApiParam(value = "转换参数类型")
    private int transferParamValTypeId;

}

