package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 安全证书
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SSL_KEY")
@Api(value = "安全证书", description = "安全证书")
public class BsSslKey extends BaseBean {

    @Column(name = "VERIFICATION_METHOD_ID")
    @ApiParam(value = "认证方式(枚举)")
    private int verificationMethodId;

    @Column(name = "VERIFICATION_URL")
    @ApiParam(value = "认证url")
    private String verificationUrl;

    @Column(name = "KEY_TYPE")
    @ApiParam(value = "证书类型枚举")
    private int keyType;

    @Column(name = "KEY_NAME")
    @ApiParam(value = "证书名称")
    private String keyName;

    @Column(name = "KEY_FILE_ID")
    @ApiParam(value = "证书文件id")
    private long keyFileId;

    @Column(name = "KEY_FILE_PATH")
    @ApiParam(value = "证书文件路径")
    private String keyFilePath;

    @Column(name = "KEY_FILE_NAME")
    @ApiParam(value = "证书文件名称")
    private String keyFileName;

    @Column(name = "KEY_CONTENT")
    @ApiParam(value = "秘钥内容")
    private String keyContent;

    @Column(name = "KEY_DESCRIPTION")
    @ApiParam(value = "证书描述")
    private String keyDescription;

}

