package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 适配套件
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE")
@Api(value = "适配套件", description = "适配套件")
public class BsSuitCase extends BaseBean {

    @Column(name = "CASE_TYPE_ID")
    @ApiParam(value = "套件类型id(枚举)")
    private int caseTypeId;

    @Column(name = "CASE_DETAIL_ID")
    @ApiParam(value = "适配器明细id")
    private long caseDetailId;

    @Column(name = "SUIT_TYPE_ID")
    @ApiParam(value = "适配类型id")
    private long suitTypeId;

    @Column(name = "SUIT_TYPE_NAME")
    @ApiParam(value = "适配类型名称")
    private String suitTypeName;

    @Column(name = "SUIT_CASE_CODE")
    @ApiParam(value = "适配器代码")
    private String suitCaseCode;

    @Column(name = "SUIT_CASE_HOST")
    @ApiParam(value = "适配主机")
    private String suitCaseHost;

    @Column(name = "SUIT_CASE_PORT")
    @ApiParam(value = "适配端口")
    private int suitCasePort;

    @Column(name = "IS_NEED_CERTIFICATION")
    @ApiParam(value = "是否需要认证")
    private int isNeedCertification;

    @Column(name = "CERTIFICATE_ID")
    @ApiParam(value = "证书id")
    private long certificateId;

    @Column(name = "TIMING_SUIT_NUM")
    @ApiParam(value = "定时适配次数")
    private int timingSuitNum;

    @Column(name = "INITIATIVE_SUIT_NUM")
    @ApiParam(value = "主动适配测试")
    private int initiativeSuitNum;

    @Column(name = "SUCCESS_NUM")
    @ApiParam(value = "成功次数")
    private int successNum;

    @Column(name = "FAIL_NUM")
    @ApiParam(value = "失败次数")
    private int failNum;

    @Column(name = "SUIT_CASE_DESCRIPTION")
    @ApiParam(value = "适配类型描述")
    private String suitCaseDescription;

}

