package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 适配报文详情
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_DATA_DETAIL")
@Api(value = "适配报文详情", description = "适配报文详情")
public class BsSuitDataDetail extends BaseBean {

    @Column(name = "SUIT_CASE_NAME_RDD")
    @ApiParam(value = "适配套件名称")
    private String suitCaseNameRdd;

    @Column(name = "SUIT_CASE_CODE_RDD")
    @ApiParam(value = "适配套件代码")
    private String suitCaseCodeRdd;

    @Column(name = "SUIT_TYPE_NAME_RDD")
    @ApiParam(value = "适配类型名称")
    private String suitTypeNameRdd;

    @Column(name = "SUIT_RECORD_ID")
    @ApiParam(value = "适配记录id")
    private long suitRecordId;

    @Column(name = "GET_DATE_TIME")
    @ApiParam(value = "获取报文时间")
    private String getDateTime;

    @Column(name = "ORGIN_DATA")
    @ApiParam(value = "原始报文数据")
    private String orginData;

    @Column(name = "TRANS_DATA")
    @ApiParam(value = "转换后的报文数据")
    private String transData;

    @Column(name = "PROCESS_STATE")
    @ApiParam(value = "处理状态")
    private int processState;

    @Column(name = "PROCESS_TIME")
    @ApiParam(value = "处理时间")
    private String processTime;

}

