package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 适配记录
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_RECORD")
@Api(value = "适配记录", description = "适配记录")
public class BsSuitRecord extends BaseBean {

    @Column(name = "SUIT_CASE_NAME_RDD")
    @ApiParam(value = "适配套件名称")
    private String suitCaseNameRdd;

    @Column(name = "SUIT_CASE_CODE_RDD")
    @ApiParam(value = "适配套件代码")
    private String suitCaseCodeRdd;

    @Column(name = "SUIT_CASE_TYPE")
    @ApiParam(value = "适配套件类型id枚举")
    private int suitCaseType;

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "适配器套件id")
    private long suitCaseId;

    @Column(name = "SUIT_CASE_DETAIL_ID")
    @ApiParam(value = "适配套件明细id")
    private long suitCaseDetailId;

    @Column(name = "SUIT_METHOD_ID")
    @ApiParam(value = "适配方式id枚举")
    private int suitMethodId;

    @Column(name = "SUIT_TYPE_ID")
    @ApiParam(value = "适配类型id")
    private long suitTypeId;

    @Column(name = "SUIT_TYPE_NAME_RDD")
    @ApiParam(value = "适配类型名称")
    private String suitTypeNameRdd;

    @Column(name = "REQUEST_SOURCE")
    @ApiParam(value = "请求来源(枚举)")
    private int requestSource;

    @Column(name = "SUIT_SSL_KEY_ID")
    @ApiParam(value = "证书id")
    private long suitSslKeyId;

    @Column(name = "SUIT_SSL_KEY_NAME_RDD")
    @ApiParam(value = "证书名称")
    private String suitSslKeyNameRdd;

    @Column(name = "SUIT_RESULT")
    @ApiParam(value = "适配结果")
    private int suitResult;

    @Column(name = "PROCESS_STATE")
    @ApiParam(value = "处理状态")
    private int processState;

    @Column(name = "PROCESS_TIME")
    @ApiParam(value = "处理时间")
    private String processTime;

}

