package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 请求适配记录
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_REQUEST_RECORD")
@Api(value = "请求适配记录", description = "请求适配记录")
public class BsSuitRequestRecord extends BaseBean {

    @Column(name = "SUIT_RECORD_ID")
    @ApiParam(value = "适配记录id")
    private long suitRecordId;

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "适配器套件id")
    private long suitCaseId;

    @Column(name = "REQUEST_SOURCE")
    @ApiParam(value = "请求来源(枚举)")
    private int requestSource;

    @Column(name = "REQUEST_ORGIN_PARAM")
    @ApiParam(value = "请求原始参数")
    private String requestOrginParam;

}

