package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 定时适配任务
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-08-13 9:21
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_SCHEDULE")
@Api(value = "定时适配任务", description = "定时适配任务")
public class BsSuitSchedule extends BaseBean {

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "适配套件id")
    private long suitCaseId;

    @Column(name = "SUIT_CASE_NAME_RDD")
    @ApiParam(value = "适配套件名称")
    private String suitCaseNameRdd;

    @Column(name = "EXECUTE_CRON")
    @ApiParam(value = "执行时间表达式")
    private String executeCron;

    @Column(name = "LAST_EXECUTE_DATE_TIME")
    @ApiParam(value = "最后一次执行时间")
    private String lastExecuteDateTime;

}

